## WebKitDOMHTMLLabelElement

WebKitDOMHTMLLabelElement

## Functions

WebKitDOMHTMLFormElement * | webkit_dom_html_label_element_get_form ()
gchar * | webkit_dom_html_label_element_get_html_for ()
void | webkit_dom_html_label_element_set_html_for ()
WebKitDOMHTMLElement * | webkit_dom_html_label_element_get_control ()

## Properties

WebKitDOMHTMLElement * | control | Read
WebKitDOMHTMLFormElement * | form | Read
gchar * | html-for | Read / Write

## Types and Values

| WebKitDOMHTMLLabelElement

## Object Hierarchy

        GObject
        ╰── WebKitDOMObject
            ╰── WebKitDOMNode
                ╰── WebKitDOMElement
                    ╰── WebKitDOMHTMLElement
                        ╰── WebKitDOMHTMLLabelElement

## Implemented Interfaces

WebKitDOMHTMLLabelElement implements WebKitDOMEventTarget.

## Description

## Functions

### webkit_dom_html_label_element_get_form ()

    WebKitDOMHTMLFormElement *
    webkit_dom_html_label_element_get_form
                                   (WebKitDOMHTMLLabelElement *self);

#### Parameters

self | A WebKitDOMHTMLLabelElement |

#### Returns

A WebKitDOMHTMLFormElement.

[transfer none]

### webkit_dom_html_label_element_get_html_for ()

    gchar *
    webkit_dom_html_label_element_get_html_for
                                   (WebKitDOMHTMLLabelElement *self);

#### Parameters

self | A WebKitDOMHTMLLabelElement |

#### Returns

A gchar

### webkit_dom_html_label_element_set_html_for ()

    void
    webkit_dom_html_label_element_set_html_for
                                   (WebKitDOMHTMLLabelElement *self,
                                    const gchar *value);

#### Parameters

self | A WebKitDOMHTMLLabelElement |
value | A gchar |

### webkit_dom_html_label_element_get_control ()

    WebKitDOMHTMLElement *
    webkit_dom_html_label_element_get_control
                                   (WebKitDOMHTMLLabelElement *self);

#### Parameters

self | A WebKitDOMHTMLLabelElement |

#### Returns

A WebKitDOMHTMLElement.

[transfer none]

## Types and Values

### WebKitDOMHTMLLabelElement

    typedef struct _WebKitDOMHTMLLabelElement WebKitDOMHTMLLabelElement;

## Property Details

### The `“control”` property

      “control”                  WebKitDOMHTMLElement *

read-only WebKitDOMHTMLElement* HTMLLabelElement:control.

Flags: Read

### The `“form”` property

      “form”                     WebKitDOMHTMLFormElement *

read-only WebKitDOMHTMLFormElement* HTMLLabelElement:form.

Flags: Read

### The `“html-for”` property

      “html-for”                 gchar *

read-write gchar* HTMLLabelElement:html-for.

Flags: Read / Write

Default value: ""